function makeContour0426(x,y,z,x_label,y_label,t)

resolution = 92;
method = 'cubic';

%%% Rearrange x
x = log10(x);

%%% Strip out NaN's and linearize
scatX = repmat(reshape(x,1,[]),1,length(x));
scatY = reshape(repmat(reshape(y,1,[]),length(y),1),1,[]);
scatZ = reshape(z',1,[]);

scatX = scatX(isfinite(scatZ));
scatY = scatY(isfinite(scatZ));
scatZ = scatZ(isfinite(scatZ));

%%% Interpolate
xmin = -3.2;
xmax = -0.8;
ymin = 0.62;
ymax = 0.93;
[XI,YI] = meshgrid(linspace(xmin,xmax,resolution),linspace(ymin,ymax,resolution));
ZI = griddata(scatX,scatY,scatZ, XI,YI, method);

%%% Plot
colormap mycolormapcontour;
contour(XI,YI,ZI);
hold on;
scatter(scatX,scatY, 100, scatZ, 'x', 'LineWidth',2);
xlabel(x_label);
ylabel(y_label);
title(t);
hold off

end
